SystemOrganization addCategory: #'PW-Tests'!

TestCase subclass: #PEGWikiToolTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests'!

!PEGWikiToolTest methodsFor: 'as yet unclassified' stamp: 'chc 6/23/2016 08:11'!
testListenerRunningOnPort8624
	|processname|
	processname := (ProcessBrowser new processList select: [:ea| ea name match: 'listener: 8624']) first name.
	self assert: (processname = 'listener: 8624')! !

TestCase subclass: #PWActorTests
	instanceVariableNames: 'parser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests'!

!PWActorTests commentStamp: '<historical>' prior: 0!
A terminal here is an OrderedCollection that does not contain another OrderedCollection. A terminal's contents is chars or strings. In the #grammarWiki that could be: 

Bold <- "*" Flow{"*"}

Angle brackets (i.e. {}) show that something is optional. To create a bold word you need an asterisk befor a or line. It will not contain any further OrderedCollections.  !

!PWActorTests methodsFor: 'page structure' stamp: 'chc 1/3/2016 01:41'!
setUp
	| grammar |
	grammar := PEGParser grammarWiki.
	parser := PEGParser parserPEG parse: 'Grammar' stream: grammar actor: PEGParserParser new.
	! !

!PWActorTests methodsFor: 'single node ' stamp: 'chc 2/23/2016 12:45'!
testBold
	| result |
	result := parser parse: 'Bold' stream: '*Taco Bell*' actor: PWActor new.
	self assert: ( '<b>Taco Bell</b>' = result )! !

!PWActorTests methodsFor: 'double node' stamp: 'chc 2/23/2016 12:42'!
testBullet1
	| result |
	result := parser parse: 'Bullet1' stream: ' *First Item' actor: PWActor new.
	self assert: ( '<li>First Item</li>' = result )! !

!PWActorTests methodsFor: 'single node ' stamp: 'chc 2/23/2016 12:43'!
testCode
	| result |
	result := parser parse: 'Code' stream: '{{{
code
}}}' actor: PWActor new.
	self assert: ( '<pre>
code
</pre>' = result )! !

!PWActorTests methodsFor: 'single node ' stamp: 'chc 2/23/2016 12:46'!
testHeading1
	| result |
	result := parser parse: 'Heading1' stream: '  = BigDay =
				' actor: PWActor new.
	self assert: ( '<h1>BigDay</h1>' = result )! !

!PWActorTests methodsFor: 'single node ' stamp: 'chc 2/23/2016 12:46'!
testHeading2
	| result |
	result := parser parse: 'Heading2' stream: '  == BigDay ==
				' actor: PWActor new.
	self assert: ( '<h2>BigDay</h2>' = result )! !

!PWActorTests methodsFor: 'single node ' stamp: 'chc 2/23/2016 12:46'!
testHeading3
	| result |
	result := parser parse: 'Heading3' stream: '  === BigDay ===
				' actor: PWActor new.
	self assert: ( '<h3>BigDay</h3>' = result )! !

!PWActorTests methodsFor: 'single node ' stamp: 'chc 2/23/2016 12:47'!
testItalic
	| result |
	result := parser parse: 'Italic' stream: '_Taco Bell_' actor: PWActor new.
	self assert: ( '<i>Taco Bell</i>' = result )! !

!PWActorTests methodsFor: 'single node ' stamp: 'chc 2/23/2016 12:47'!
testLink
	| result |
	result := parser parse: 'LinkShort' stream: '[abc]' actor: PWActor new.
	self assert: ( '<a href="http://www.abc.com">abc</a>' = result )! !

!PWActorTests methodsFor: 'page structure' stamp: 'chc 2/23/2016 12:46'!
testPage
	| result |
	result := parser parse: 'Page' stream: 'Taco Bell' actor: PWActor new.
	self assert: ( '<div><p>Taco Bell</p></div>' = result )! !

TestCase subclass: #PWPEGParserTests
	instanceVariableNames: 'parser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests'!

!PWPEGParserTests commentStamp: '<historical>' prior: 0!
A terminal here is an OrderedCollection that does not contain another OrderedCollection. A terminal's contents is chars or strings. In the #grammarWiki that could be: 

Bold <- "*" Flow{"*"}

Angle brackets (i.e. {}) show that something is optional. To create a bold word you need an asterisk befor a or line. It will not contain any further OrderedCollections.  !

!PWPEGParserTests methodsFor: 'empty space identifiers' stamp: 'chc 2/23/2016 23:04'!
setUp
	| grammar |
	grammar := PEGParser grammarWiki.
	parser := PEGParser parserPEG parse: 'Grammar' stream: grammar actor: PEGParserParser new.
	! !

!PWPEGParserTests methodsFor: 'empty space identifiers' stamp: 'chc 2/23/2016 23:00'!
testEmpty
	| result oc1 oc2 |
	result := parser parse: 'Empty' stream: '
	' reading actor: nil.
	oc1 := OrderedCollection new. 
	oc2 := OrderedCollection new.
	oc2 add: Character tab.
	oc1 add: oc2.
	self assert: ( oc1 = result )! !

!PWPEGParserTests methodsFor: 'empty space identifiers' stamp: 'chc 2/23/2016 23:00'!
testLIneCharacter
	| result oc1 oc2 |
	result := parser parse: 'LineCharacter' stream: '
	' reading actor: nil.
	oc1 := OrderedCollection new. 
	oc2 := OrderedCollection new.
	oc2 add: Character tab.
	oc1 add: oc2.
	self assert: ( oc1 = result )! !

!PWPEGParserTests methodsFor: 'empty space identifiers' stamp: 'chc 8/31/2016 09:36'!
testLinkShort
	| result |
	result := parser parse: 'LinkShort' stream: '[abc]' actor: nil.
	self assert: ( '<a href="http://www.abc.com">abc</a>' = result )! !

!PWPEGParserTests methodsFor: 'empty space identifiers' stamp: 'chc 2/23/2016 23:00'!
testWhitespace
	| result oc1 oc2 chars |
	result := parser parse: 'Whitespace' stream: '		  ' actor: nil.
	oc1 := OrderedCollection new. 
	oc2 := OrderedCollection new.
	oc1 add: Character tab; add: Character tab; add: Character space; add: Character space.
	chars := oc2 add: oc1.
	self assert: ( chars = result )! !

TestCase subclass: #PWRestfulLocatorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests'!

!PWRestfulLocatorTest methodsFor: 'as yet unclassified' stamp: 'chc 6/27/2016 08:22'!
testSingleton
	"There should only ever be one instance of PWRestfulLocator"
	self assert: (PWRestfulLocator allInstances size <= 1)! !

TestCase subclass: #PWSeasidePrefsModelTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests'!

!PWSeasidePrefsModelTest methodsFor: 'as yet unclassified' stamp: 'chc 6/23/2016 07:58'!
testModelInitialized
"When code is loaded #PWSeasidePrefsModel class initializeModel needs to be executed (PWSeasidePrefsModel initializeModel) to give default values for PEGWiki"
	|port|
	port := PWSeasidePrefsModel instance valueAt: #port.
	self assert: (port = 8624)
! !
